DMA_BUF_MMAP(9)

NAME
dma_buf_mmap - Setup up a userspace mmap with the given vma

SYNOPSIS

int dma_buf_mmap(struct dma_buf * dmabuf, struct vm_area_struct * vma, unsigned long pgoff);

ARGUMENTS

dmabuf
    [in] buffer that should back the vma

vma
    [in] vma for the mmap

pgoff
    [in] offset in pages where this mmap should start within the dma-buf buffer.

DESCRIPTION

This function adjusts the passed in vma so that it points at the file of the dma_buf operation. It also adjusts the starting pgoff and does bounds checking on the size of the vma. Then it calls the exporters mmap function to set up the mapping.

Can return negative error values, returns 0 on success.

COPYRIGHT